Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.pdf3d.PDF3DLaunchSetting Class Reference

Inherits SystemIDisposable.

## Public Types
enum | PDF3DActivationDisableSetting { PDF3DActivationDisableSetting.e_3DActivationDisableSettingContextMenuSelected = 0, PDF3DActivationDisableSetting.e_3DActivationDisableSettingPageClosed = 1, PDF3DActivationDisableSetting.e_3DActivationDisableSettingPageInvisible = 2 }
| Enumeration for activation disable setting for the 3D launch setting type. More...
enum | PDF3DActivationEnableSetting { PDF3DActivationEnableSetting.e_3DActivationEnableSettingContentClicked = 0, PDF3DActivationEnableSetting.e_3DActivationEnableSettingPageOpened = 1, PDF3DActivationEnableSetting.e_3DActivationEnableSettingPageVisible = 2 }
| Enumeration for activation enable setting for the 3D launch setting type. More...
enum | PDF3DActivationPlaybackStyleSetting { PDF3DActivationPlaybackStyleSetting.e_3DActivationPlaybackStyleOnPage = 0, PDF3DActivationPlaybackStyleSetting.e_3DActivationPlaybackStyleInFloatingWindow = 1 }
| Enumeration for activation playback style for the 3D launch setting type. More...
enum | PDF3DAppearanceSettingBorderWidth { PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthNone = 0, PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthThin = 1, PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthMedium = 2, PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthThick = 3 }
| Enumeration for appearance setting for border width for the 3D launch setting type. More...
enum | PDF3DPosterImageSetting { PDF3DPosterImageSetting.e_3DPosterImageKeepCurrent = 0, PDF3DPosterImageSetting.e_3DPosterImageRetrieveFromDefaultView = 1, PDF3DPosterImageSetting.e_3DPosterImageCreateFromFile = 2 }
| Enumeration for poster image for the 3D launch setting type. More...

## Public Member Functions
| PDF3DLaunchSetting ()
| Constructor.
| PDF3DLaunchSetting (PDF3DLaunchSetting launch_setting)
| Constructor, with another 3D launch setting object. More...
| PDF3DLaunchSetting (PDF3DLaunchSetting.PDF3DActivationEnableSetting activation_enable, PDF3DLaunchSetting.PDF3DActivationDisableSetting activation_disable, PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting activation_playback, int window_width, int window_height, PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth border_width, bool is_transparent_background, PDF3DLaunchSetting.PDF3DPosterImageSetting poster_image, string poster_file_path)
| Constructor with parameter. More...
void | Set (PDF3DLaunchSetting.PDF3DActivationEnableSetting activation_enable, PDF3DLaunchSetting.PDF3DActivationDisableSetting activation_disable, PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting activation_playback, int window_width, int window_height, PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth border_width, bool is_transparent_background, PDF3DLaunchSetting.PDF3DPosterImageSetting poster_image, string poster_file_path)
| Set the values. More...

## Properties
PDF3DLaunchSetting.PDF3DActivationDisableSetting | activation_disable`[get, set]`
| The activation disable setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationDisableSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
PDF3DLaunchSetting.PDF3DActivationEnableSetting | activation_enable`[get, set]`
| The activation enable setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationEnableSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting | activation_playback`[get, set]`
| The activation playback setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth | border_width`[get, set]`
| The border width setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
bool | is_transparent_background`[get, set]`
| This flag indicates whether the 3D content background is transparent. true means transparent, while false means not. Default value is false.
string | poster_file_path`[get, set]`
| The file path of poster image. This field is valid only when poster_image is set to foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DPosterImageSetting.e_3DPosterImageCreateFromFile .
PDF3DLaunchSetting.PDF3DPosterImageSetting | poster_image`[get, set]`
| The poster image. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DPosterImageSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
int | window_height`[get, set]`
| The window height setting for 3D. Default value is 240.
int | window_width`[get, set]`
| The window width setting for 3D. Default value is 320.

## Detailed Description

This class represents 3D launch setting.

## Member Enumeration Documentation

## ◆ PDF3DActivationDisableSetting

enum foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationDisableSetting
| strong

Enumeration for activation disable setting for the 3D launch setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DActivationDisableSettingContextMenuSelected | Disable when "Disable Content" is selected from the context menu.
e_3DActivationDisableSettingPageClosed | Disable when the page containing the content is closed.
e_3DActivationDisableSettingPageInvisible | Disable when the page containing the content is not visible.

## ◆ PDF3DActivationEnableSetting

enum foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationEnableSetting
| strong

Enumeration for activation enable setting for the 3D launch setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DActivationEnableSettingContentClicked | Enable when the content is clicked.
e_3DActivationEnableSettingPageOpened | Enable when the page containing the content is opened.
e_3DActivationEnableSettingPageVisible | Enable when the page containing the content is visible.

## ◆ PDF3DActivationPlaybackStyleSetting

enum foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting
| strong

Enumeration for activation playback style for the 3D launch setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DActivationPlaybackStyleOnPage | Play content on page.
e_3DActivationPlaybackStyleInFloatingWindow | Play content in floating window.

## ◆ PDF3DAppearanceSettingBorderWidth

enum foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth
| strong

Enumeration for appearance setting for border width for the 3D launch setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DAppearanceSettingBorderWidthNone | No border.
e_3DAppearanceSettingBorderWidthThin | Thin.
e_3DAppearanceSettingBorderWidthMedium | Medium.
e_3DAppearanceSettingBorderWidthThick | Thick.

## ◆ PDF3DPosterImageSetting

enum foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DPosterImageSetting
| strong

Enumeration for poster image for the 3D launch setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DPosterImageKeepCurrent | Keep current poster.
e_3DPosterImageRetrieveFromDefaultView | Retrieve poster from default view.
e_3DPosterImageCreateFromFile | Create poster from file.

## Constructor & Destructor Documentation

## ◆ PDF3DLaunchSetting() [1/2]

foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DLaunchSetting | ( | PDF3DLaunchSetting | launch_setting | ) |
| inline

Constructor, with another 3D launch setting object.

Parameters

  [in] | launch_setting | Another 3D launch setting object.

## ◆ PDF3DLaunchSetting() [2/2]

foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DLaunchSetting | ( | PDF3DLaunchSetting.PDF3DActivationEnableSetting | activation_enable,
|  | PDF3DLaunchSetting.PDF3DActivationDisableSetting | activation_disable,
|  | PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting | activation_playback,
|  | int | window_width,
|  | int | window_height,
|  | PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth | border_width,
|  | bool | is_transparent_background,
|  | PDF3DLaunchSetting.PDF3DPosterImageSetting | poster_image,
|  | string | poster_file_path
| ) |  |
| inline

Constructor with parameter.

Parameters

  [in] | activation_enable | The activation enable setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationEnableSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
  [in] | activation_disable | The activation disable setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationDisableSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
  [in] | activation_playback | The activation playback setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
  [in] | window_width | The window width setting for 3D. Default value is 320.
  [in] | window_height | The window height setting for 3D. Default value is 240.
  [in] | border_width | The border width setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
  [in] | is_transparent_background | This flag indicates whether the 3D content background is transparent.
  [in] | poster_image | The poster image. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DPosterImageSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
  [in] | poster_file_path | The file path of poster image.

## Member Function Documentation

## ◆ Set()

void foxit.addon.pdf3d.PDF3DLaunchSetting.Set | ( | PDF3DLaunchSetting.PDF3DActivationEnableSetting | activation_enable,
|  | PDF3DLaunchSetting.PDF3DActivationDisableSetting | activation_disable,
|  | PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting | activation_playback,
|  | int | window_width,
|  | int | window_height,
|  | PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth | border_width,
|  | bool | is_transparent_background,
|  | PDF3DLaunchSetting.PDF3DPosterImageSetting | poster_image,
|  | string | poster_file_path
| ) |  |
| inline

Set the values.

Parameters

  [in] | activation_enable | The activation enable setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationEnableSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
  [in] | activation_disable | The activation disable setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationDisableSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
  [in] | activation_playback | The activation playback setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DActivationPlaybackStyleSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
  [in] | window_width | The window width setting for 3D. Default value is 320.
  [in] | window_height | The window height setting for 3D. Default value is 240.
  [in] | border_width | The border width setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DAppearanceSettingBorderWidth.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
  [in] | is_transparent_background | This flag indicates whether the 3D content background is transparent.
  [in] | poster_image | The poster image. Please refer to values starting from foxit.addon.pdf3d.PDF3DLaunchSetting.PDF3DPosterImageSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
  [in] | poster_file_path | The file path of poster image.

Returns
  None.